summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:55:12 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:12 +0200
commit7c80225839bb4bb84d4930df1ffb2b65a3ee330b (patch)
tree7938c5ec0c466f3bd651cc6a7cf894ad1ee5f892 /system
parentcd13733a8bf4c2bc6f7e990fe98b62322c7bfdee (diff)
downloadslackbuilds-7c80225839bb4bb84d4930df1ffb2b65a3ee330b.tar.gz
slackbuilds-7c80225839bb4bb84d4930df1ffb2b65a3ee330b.tar.xz
system/bogofilter: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/bogofilter/README4
-rw-r--r--system/bogofilter/bogofilter.SlackBuild86
-rw-r--r--system/bogofilter/bogofilter.info8
-rw-r--r--system/bogofilter/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/system/bogofilter/README b/system/bogofilter/README
new file mode 100644
index 0000000000..679c5d85de
--- /dev/null
+++ b/system/bogofilter/README
@@ -0,0 +1,4 @@
+Bogofilter is a mail filter that classifies mail as spam or ham
+(non-spam) by a statistical analysis of the message's header and
+content (body). The program is able to learn from the user's
+classifications and corrections.
diff --git a/system/bogofilter/bogofilter.SlackBuild b/system/bogofilter/bogofilter.SlackBuild
new file mode 100644
index 0000000000..19b3bdb5f7
--- /dev/null
+++ b/system/bogofilter/bogofilter.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for bogofilter
+
+# Copyright 2008 Robby Workman Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bogofilter
+VERSION=1.1.7
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-bogofilter
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp AUTHORS COPYING GETTING.STARTED INSTALL NEWS* README* RELEASE.NOTES \
+ TODO doc/README* $PKG/usr/doc/$PRGNAM-$VERSION
+cp doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/bogofilter-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/bogofilter/bogofilter.info b/system/bogofilter/bogofilter.info
new file mode 100644
index 0000000000..497b71dd89
--- /dev/null
+++ b/system/bogofilter/bogofilter.info
@@ -0,0 +1,8 @@
+PRGNAM="bogofilter"
+VERSION="1.1.7"
+HOMEPAGE="http://bogofilter.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/bogofilter/bogofilter-1.1.7.tar.bz2"
+MD5SUM="0ece697e8b54fcc069dba1af55c6015a"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/system/bogofilter/slack-desc b/system/bogofilter/slack-desc
new file mode 100644
index 0000000000..e92ad036d9
--- /dev/null
+++ b/system/bogofilter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+bogofilter: bogofilter (mail filtering software)
+bogofilter:
+bogofilter: Bogofilter is a mail filter that classifies mail as spam or ham
+bogofilter: (non-spam) by a statistical analysis of the message's header and
+bogofilter: content (body). The program is able to learn from the user's
+bogofilter: classifications and corrections.
+bogofilter:
+bogofilter: Homepage: http://bogofilter.sourceforge.net/
+bogofilter:
+bogofilter:
+bogofilter: